Correct URL for elasticsearch 5.x repository
[chef.git] / cookbooks / apt / recipes / default.rb
index d3ec6e4c5626c4faa197a84d7a409de7c8ea5e48..1de8cffe24d6b36d9d85859cc248b73718f9c032 100644 (file)
@@ -18,6 +18,7 @@
 #
 
 package "apt"
+package "gnupg-curl"
 package "update-notifier-common"
 
 file "/etc/motd.tail" do
@@ -29,83 +30,139 @@ execute "apt-update" do
   command "/usr/bin/apt-get update"
 end
 
+archive_host = if node[:country]
+                 "#{node[:country]}.archive.ubuntu.com"
+               else
+                 "archive.ubuntu.com"
+               end
+
 template "/etc/apt/sources.list" do
   source "sources.list.erb"
   owner "root"
   group "root"
-  mode 0644
-  notifies :run, resources(:execute => "apt-update")
+  mode 0o644
+  variables :archive_host => archive_host, :codename => node[:lsb][:codename]
+  notifies :run, "execute[apt-update]", :immediately
 end
 
-apt_source "opscode" do
-  template "opscode.list.erb"
-  url "http://apt.opscode.com/"
-  key "83EF826A"
+if node[:lsb][:release].to_f >= 16.04
+  apt_source "brightbox-ruby-ng" do
+    action :delete
+  end
+else
+  apt_source "brightbox-ruby-ng" do
+    url "http://ppa.launchpad.net/brightbox/ruby-ng/ubuntu"
+    key "F5DA5F09C3173AA6"
+  end
 end
 
-apt_source "brightbox" do
-  url "http://apt.brightbox.net/"
-  key "0090DAAD"
+apt_source "ubuntugis-stable" do
+  url "http://ppa.launchpad.net/ubuntugis/ppa/ubuntu"
+  key "089EBE08314DF160"
 end
 
-apt_source "brightbox-ruby-ng" do
-  url "http://ppa.launchpad.net/brightbox/ruby-ng/ubuntu"
-  key "C3173AA6"
+apt_source "ubuntugis-unstable" do
+  url "http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu"
+  key "089EBE08314DF160"
 end
 
-apt_source "brightbox-ruby-ng-experimental" do
-  url "http://ppa.launchpad.net/brightbox/ruby-ng/ubuntu-experimental"
-  key "C3173AA6"
+apt_source "openstreetmap" do
+  url "http://ppa.launchpad.net/osmadmins/ppa/ubuntu"
+  key "D57F48750AC4F2CB"
+  update true
 end
 
-apt_source "pitti-postgresql" do
-  url "http://ppa.launchpad.net/pitti/postgresql/ubuntu"
-  key "8683D8A2"
+apt_source "management-component-pack" do
+  source_template "hp.list.erb"
+  url "http://downloads.linux.hpe.com/SDR/repo/mcp"
+  key "C208ADDE26C2B797"
+  key_url "https://downloads.linux.hpe.com/SDR/hpePublicKey2048_key1.pub"
 end
 
-apt_source "ubuntugis-stable" do
-  url "http://ppa.launchpad.net/ubuntugis/ppa/ubuntu"
-  key "314DF160"
+apt_source "hwraid" do
+  source_template "hwraid.list.erb"
+  url "http://hwraid.le-vert.net/ubuntu"
+  key "6005210E23B3D3B4"
 end
 
-apt_source "ubuntugis-unstable" do
-  url "http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu"
-  key "314DF160"
+apt_source "mapnik-v210" do
+  url "http://ppa.launchpad.net/mapnik/v2.1.0/ubuntu"
+  key "4F7B93595D50B6BA"
 end
 
-apt_source "brianmercer-php" do
-  url "http://ppa.launchpad.net/brianmercer/php/ubuntu"
-  key "8D0DC64F"
+apt_source "nginx" do
+  source_template "nginx.list.erb"
+  url "http://nginx.org/packages/ubuntu"
+  key "ABF5BD827BD9BF62"
 end
 
-apt_source "aw-drupal" do
-  url "http://ppa.launchpad.net/aw/drupal/ubuntu"
-  key "7D5AE8F6"
+apt_source "elasticsearch1.7" do
+  source_template "elasticsearch.list.erb"
+  url "http://packages.elasticsearch.org/elasticsearch/1.7/debian"
+  key "D27D666CD88E42B4"
 end
 
-apt_source "openstreetmap" do
-  url "http://ppa.launchpad.net/osmadmins/ppa/ubuntu"
-  key "0AC4F2CB"
+apt_source "elasticsearch2.x" do
+  source_template "elasticsearch.list.erb"
+  url "http://packages.elasticsearch.org/elasticsearch/2.x/debian"
+  key "D27D666CD88E42B4"
 end
 
-apt_source "proliant-support-pack" do
-  template "hp.list.erb"
-  url "http://downloads.linux.hp.com/SDR/downloads/ProLiantSupportPack"
-  key "2689B887"
+apt_source "elasticsearch5.x" do
+  source_template "elasticsearch.list.erb"
+  url "https://artifacts.elastic.co/packages/5.x/apt"
+  key "D27D666CD88E42B4"
 end
 
-apt_source "management-component-pack" do
-  template "hp.list.erb"
-  url "http://downloads.linux.hp.com/SDR/downloads/ManagementComponentPack"
-  key "2689B887"
+apt_source "logstash" do
+  source_template "elasticsearch.list.erb"
+  url "http://packages.elasticsearch.org/logstash/2.3/debian"
+  key "D27D666CD88E42B4"
 end
 
-apt_source "hwraid" do
-  url "http://hwraid.le-vert.net/ubuntu"
-  key "23B3D3B4"
+apt_source "logstash-forwarder" do
+  source_template "elasticsearch.list.erb"
+  url "http://packages.elasticsearch.org/logstashforwarder/debian"
+  key "D27D666CD88E42B4"
 end
 
-apt_source "mapnik-v210" do
-  url "http://ppa.launchpad.net/mapnik/v2.1.0/ubuntu"
-  key "5D50B6BA"
+apt_source "passenger" do
+  url "https://oss-binaries.phusionpassenger.com/apt/passenger"
+  key "561F9B9CAC40B2F7"
+end
+
+apt_source "postgresql" do
+  source_template "postgresql.list.erb"
+  url "http://apt.postgresql.org/pub/repos/apt"
+  key "7FCC7D46ACCC4CF8"
+end
+
+apt_source "mediawiki" do
+  source_template "mediawiki.list.erb"
+  url "https://releases.wikimedia.org/debian"
+  key "90E9F83F22250DD7"
+end
+
+package "unattended-upgrades"
+
+if Dir.exist?("/usr/share/unattended-upgrades")
+  auto_upgrades = if node[:apt][:unattended_upgrades][:enable]
+                    IO.read("/usr/share/unattended-upgrades/20auto-upgrades")
+                  else
+                    IO.read("/usr/share/unattended-upgrades/20auto-upgrades-disabled")
+                  end
+
+  file "/etc/apt/apt.conf.d/20auto-upgrades" do
+    user "root"
+    group "root"
+    mode 0o644
+    content auto_upgrades
+  end
+end
+
+template "/etc/apt/apt.conf.d/60chef" do
+  source "apt.conf.erb"
+  owner "root"
+  group "root"
+  mode 0o644
 end